﻿using Autodesk.Revit.DB;

namespace uBIMEarthTools.Model
{
    /// <summary>
    /// 地质层
    /// </summary>
    public class GeologyLayer
    {
        /// <summary>
        /// 地质层名
        /// </summary>
        public string Type { get; set; }

        /// <summary>
        /// 坐标点
        /// </summary>
        public XYZ Point { get; set; }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="type">地质层名</param>
        /// <param name="point">坐标点</param>
        public GeologyLayer(string type, XYZ point)
        {
            Type = type;
            Point = point;
        }
    }
}
