﻿using System;
using System.ComponentModel;
using System.Linq.Expressions;

namespace uBIMEarthTools.Utils
{
    /// <summary>
    /// 属性变更通知
    /// </summary>
    public class PropertyChangedNotify : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        public virtual void Notify(Expression<Func<object>> expression)
        {
            PropertyChanged.Notify(expression);
        }
    }
}
